EXCHANGE2ICAL(1)

NAME
exchange2ical - Convert Exchange calendar to ical file

SYNOPSIS
exchange2ical [-?|--help] [--usage] [-f|--database=STRING] [-p|--profile=STRING]
  [-P|--password=STRING] [-d|--debuglevel=STRING] [--dump-data]

DESCRIPTION
exchange2ical provides a way to extract appointments from an Exchange calendar into the ical format. The ical is provided on stdout.

OPTIONS

--database

-f  Set the path to the profile database to use

--profile

-p  Set the profile to use. If no profile is specified, exchange2ical tries to retrieve the default profile in the database. If no default profile has been set, exchange2ical returns MAPI_E_NOT_FOUND .

--password

-P  Specify the password for the profile to use. This can be omitted if the password is stored in the profile.

--dump-data
    Dump the hex data. This is only required for debugging or educational purposes.

--debuglevel

-d  Set the debug level.

EXAMPLES
Extract appointments from the Exchange calendar:
exchange2ical > appointments.ical

REMARKS
If you are using the default profile database path and have set a default profile (using mapiprofile --profile=profile_name -S ) you do not need to specify these parameters on the command line.

AUTHOR
exchange2ical was written by Julien Kerihuel <j.kerihuel at openchange dot org> This man page was written by Brad Hards <bradh at openchange dot org>